VESPA-AUTH-CERT-ADD(1)

NAME
vespa-auth-cert-add - Add certificate to application package

SYNOPSIS
vespa auth cert add [flags]

DESCRIPTION
Add an existing self-signed certificate for Vespa Cloud deployment to your application package.

The certificate will be loaded from the Vespa CLI home directory (see 'vespa help config') by default.

The location of the application package can be specified as an argument to this command (default '.').

OPTIONS
-f, --force[=false]
    Force overwrite of existing certificate

-h, --help[=false]
    help for add

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa auth cert add -a my-tenant.my-app.my-instance
    $ vespa auth cert add -a my-tenant.my-app.my-instance path/to/application/package

SEE ALSO
vespa-auth-cert(1)